--- title: "View gateway response" slug: "apigateway-getresponses" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-getresponses" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View gateway response Available in Classic and VPC View the list of responses from the gateway that are generated by the API Gateway service. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/responses | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the API belongs to - 1 - 10 - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API whose response you want to view - 1 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/responses' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "gatewayResponses": [ { "apiId": "apiId", "responseType": "responseType", "responseName": "headerName", "statusCode": 000, "headers": [ { "apiId": "apiId", "responseType": "responseType", "headerName": "header", "headerValue": "value" } ], "templates": [ { "apiId": "apiId", "responseType": "responseType", "contentType": "application/json", "mappingTemplate": "mappingTemplate" } ], "default": false } ] } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "gatewayResponses": [ { "apiId": "cvcohvd2xj", "responseType": "AUTHENTICATION_FAILED", "responseName": "Authentication Failed", "statusCode": 401, "headers": [ { "apiId": "cvcohvd2xj", "responseType": "AUTHENTICATION_FAILED", "headerName": "header", "headerValue": "value" } ], "templates": [ { "apiId": "cvcohvd2xj", "responseType": "AUTHENTICATION_FAILED", "contentType": "application/json", "mappingTemplate": "{ \n \"error\":{ \n \"errorCode\":\"${context.error.errorCode}\",\n \"message\":\"${context.error.messageString}\",\n \"details\":\"$!{context.error.details}\"\n }\n }" }, { "apiId": "cvcohvd2xj", "responseType": "AUTHENTICATION_FAILED", "contentType": "application/xml", "mappingTemplate": "\n \n \n ${context.error.errorCode}\n ${context.error.messageString}\n
$!{context.error.details}
\n
\n
" } ], "default": false } ] } ```